CRAN Package Check Results for Package Rmpi

Last updated on 2021-10-23 03:28:56 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 0.6-9.1 8.32 36.53 44.85 WARN
r-devel-linux-x86_64-debian-gcc 0.6-9.1 6.02 28.69 34.71 WARN
r-devel-linux-x86_64-fedora-clang 0.6-9.1 68.96 WARN
r-devel-linux-x86_64-fedora-gcc 0.6-9.1 59.21 WARN
r-devel-windows-x86_64 0.6-9.1 16.00 51.00 67.00 OK
r-devel-windows-x86_64-gcc10-UCRT 0.6-9.1 OK
r-patched-linux-x86_64 0.6-9.1 9.00 35.96 44.96 WARN
r-patched-solaris-x86 0.6-9.1 66.00 OK
r-release-linux-x86_64 0.6-9.1 7.97 35.45 43.42 WARN
r-release-macos-arm64 0.6-9.1 ERROR
r-release-macos-x86_64 0.6-9.1 ERROR
r-release-windows-ix86+x86_64 0.6-9.1 24.00 63.00 87.00 OK
r-oldrel-macos-x86_64 0.6-9.1 ERROR
r-oldrel-windows-ix86+x86_64 0.6-9.1 21.00 60.00 81.00 OK

Check Details

Version: 0.6-9.1
Check: top-level files
Result: WARN
     Output from running autoreconf:
     configure.ac:7: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:7: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:7: the top level
     configure.ac:26: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:26: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:26: the top level
     configure.ac:48: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:48: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:48: the top level
     configure.ac:64: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:64: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:64: the top level
     configure.ac:328: warning: AC_OUTPUT should be used without arguments.
     configure.ac:328: You should run autoupdate.
Flavors: r-devel-linux-x86_64-debian-clang, r-devel-linux-x86_64-debian-gcc, r-patched-linux-x86_64, r-release-linux-x86_64

Version: 0.6-9.1
Check: top-level files
Result: WARN
     Output from running autoreconf:
     configure.ac:7: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:7: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:7: the top level
     configure.ac:26: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:26: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:26: the top level
     configure.ac:48: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:48: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:48: the top level
     configure.ac:64: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:64: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:64: the top level
     configure.ac:328: warning: AC_OUTPUT should be used without arguments.
     configure.ac:328: You should run autoupdate.
     configure.ac:7: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:7: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:7: the top level
     configure.ac:26: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:26: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:26: the top level
     configure.ac:48: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:48: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:48: the top level
     configure.ac:64: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:64: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:64: the top level
     configure.ac:328: warning: AC_OUTPUT should be used without arguments.
     configure.ac:328: You should run autoupdate.
Flavors: r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc

Version: 0.6-9.1
Check: whether package can be installed
Result: ERROR
    Installation failed.
Flavors: r-release-macos-arm64, r-release-macos-x86_64, r-oldrel-macos-x86_64